import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const inventorySite = await conductor.qbd.inventorySites.update('80000001-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(inventorySite.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
inventory_site = conductor.qbd.inventory_sites.update(
id="80000001-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(inventory_site.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionNumber": "1721172183",
"name": "Stockroom",
"isActive": true,
"parentId": "80000001-1234567890",
"description": "Main Stockroom for Electronics",
"contact": "Jane Smith",
"phone": "+1-555-123-4567",
"fax": "+1-555-555-1212",
"email": "inventory-site@example.com",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'revisionNumber' => '1721172183',
'name' => 'Stockroom',
'isActive' => true,
'parentId' => '80000001-1234567890',
'description' => 'Main Stockroom for Electronics',
'contact' => 'Jane Smith',
'phone' => '+1-555-123-4567',
'fax' => '+1-555-555-1212',
'email' => 'inventory-site@example.com',
'address' => [
'line1' => 'Conductor Labs Inc.',
'line2' => '540 Market St.',
'line3' => 'Suite 100',
'line4' => '',
'line5' => '',
'city' => 'San Francisco',
'state' => 'CA',
'postalCode' => '94110',
'country' => 'United States'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id}"
payload := strings.NewReader("{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"Stockroom\",\n \"isActive\": true,\n \"parentId\": \"80000001-1234567890\",\n \"description\": \"Main Stockroom for Electronics\",\n \"contact\": \"Jane Smith\",\n \"phone\": \"+1-555-123-4567\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"inventory-site@example.com\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id}")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"Stockroom\",\n \"isActive\": true,\n \"parentId\": \"80000001-1234567890\",\n \"description\": \"Main Stockroom for Electronics\",\n \"contact\": \"Jane Smith\",\n \"phone\": \"+1-555-123-4567\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"inventory-site@example.com\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"Stockroom\",\n \"isActive\": true,\n \"parentId\": \"80000001-1234567890\",\n \"description\": \"Main Stockroom for Electronics\",\n \"contact\": \"Jane Smith\",\n \"phone\": \"+1-555-123-4567\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"inventory-site@example.com\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_inventory_site",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "Stockroom",
"isActive": true,
"parent": {
"id": "80000001-1234567890",
"fullName": "Romulus Warehouse:Stockroom"
},
"isDefault": true,
"description": "Main Stockroom for Electronics",
"contact": "Jane Smith",
"phone": "+1-555-123-4567",
"fax": "+1-555-555-1212",
"email": "inventory-site@example.com",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States"
}
}Update an inventory site
Updates an existing inventory site.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const inventorySite = await conductor.qbd.inventorySites.update('80000001-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(inventorySite.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
inventory_site = conductor.qbd.inventory_sites.update(
id="80000001-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(inventory_site.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionNumber": "1721172183",
"name": "Stockroom",
"isActive": true,
"parentId": "80000001-1234567890",
"description": "Main Stockroom for Electronics",
"contact": "Jane Smith",
"phone": "+1-555-123-4567",
"fax": "+1-555-555-1212",
"email": "inventory-site@example.com",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'revisionNumber' => '1721172183',
'name' => 'Stockroom',
'isActive' => true,
'parentId' => '80000001-1234567890',
'description' => 'Main Stockroom for Electronics',
'contact' => 'Jane Smith',
'phone' => '+1-555-123-4567',
'fax' => '+1-555-555-1212',
'email' => 'inventory-site@example.com',
'address' => [
'line1' => 'Conductor Labs Inc.',
'line2' => '540 Market St.',
'line3' => 'Suite 100',
'line4' => '',
'line5' => '',
'city' => 'San Francisco',
'state' => 'CA',
'postalCode' => '94110',
'country' => 'United States'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id}"
payload := strings.NewReader("{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"Stockroom\",\n \"isActive\": true,\n \"parentId\": \"80000001-1234567890\",\n \"description\": \"Main Stockroom for Electronics\",\n \"contact\": \"Jane Smith\",\n \"phone\": \"+1-555-123-4567\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"inventory-site@example.com\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id}")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"Stockroom\",\n \"isActive\": true,\n \"parentId\": \"80000001-1234567890\",\n \"description\": \"Main Stockroom for Electronics\",\n \"contact\": \"Jane Smith\",\n \"phone\": \"+1-555-123-4567\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"inventory-site@example.com\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/inventory-sites/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"revisionNumber\": \"1721172183\",\n \"name\": \"Stockroom\",\n \"isActive\": true,\n \"parentId\": \"80000001-1234567890\",\n \"description\": \"Main Stockroom for Electronics\",\n \"contact\": \"Jane Smith\",\n \"phone\": \"+1-555-123-4567\",\n \"fax\": \"+1-555-555-1212\",\n \"email\": \"inventory-site@example.com\",\n \"address\": {\n \"line1\": \"Conductor Labs Inc.\",\n \"line2\": \"540 Market St.\",\n \"line3\": \"Suite 100\",\n \"line4\": \"\",\n \"line5\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"postalCode\": \"94110\",\n \"country\": \"United States\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_inventory_site",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "Stockroom",
"isActive": true,
"parent": {
"id": "80000001-1234567890",
"fullName": "Romulus Warehouse:Stockroom"
},
"isDefault": true,
"description": "Main Stockroom for Electronics",
"contact": "Jane Smith",
"phone": "+1-555-123-4567",
"fax": "+1-555-555-1212",
"email": "inventory-site@example.com",
"address": {
"line1": "Conductor Labs Inc.",
"line2": "540 Market St.",
"line3": "Suite 100",
"line4": "",
"line5": "",
"city": "San Francisco",
"state": "CA",
"postalCode": "94110",
"country": "United States"
}
}Authorizations
Headers
Path Parameters
Body
The current QuickBooks-assigned revision number of the inventory site object you are updating, which you can get by fetching the object first. Provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The case-insensitive unique name of this inventory site, unique across all inventory sites.
NOTE: Inventory sites do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
Maximum length: 31 characters.
31"Stockroom"
Response
Returns the updated inventory site.
The current QuickBooks-assigned revision number of this inventory site object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"

